p, g, r = map(float, input().split()) # дни работы завода, номер интересующего дня, коэффициент переработки
work_days = []
for _ in range(int(p)):
    work_days.append(float(input()))

waste = [0]
for i in range(1, int(g)+1):
    w = work_days[i-1] if i <= len(work_days) else 0
    waste.append((1-r)*waste[i-1] + r*w)

print(round(waste[int(g)], 6))